{ pkgs, ... }:
{
  imports = [
    ./channels
    ./gc
    ./unfree
  ];

  nix = {
    package = pkgs.lix;
    settings = {
      auto-optimise-store = true;
      experimental-features = [
        "nix-command"
        "flakes"
      ];
      max-jobs = 0;
      trusted-users = [ "root" ];
    };
    distributedBuilds = true;
  };

  # Use a newer implementation of nixos-rebuild
  system.rebuild.enableNg = true;
}
